package org.apache.beehive.netui.tags.rendering;

import org.apache.beehive.netui.util.Bundle;
import org.apache.beehive.netui.util.logging.Logger;

import javax.servlet.ServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

public class ResponseRenderAppender extends AbstractRenderAppender
{
    private static final Logger logger = Logger.getInstance(ResponseRenderAppender.class);

    private ServletResponse _response;

    public ResponseRenderAppender(ServletResponse response)
    {
        _response = response;
    }

    public void append(String s)
    {
        try {
            PrintWriter writer = _response.getWriter();
            writer.print(s);
        }
        catch (IOException e) {
            logger.error(Bundle.getString("Tags_WriteException"), e);
        }
    }

    public void append(char c)
    {
        try {
            PrintWriter writer = _response.getWriter();
            writer.print(c);
        }
        catch (IOException e) {
            logger.error(Bundle.getString("Tags_WriteException"), e);
        }
    }

}
